Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### default

Examples

    char letter = 'F';

    switch(letter) {
      case 'A':
        println("Alpha");  // Does not execute
        break;
      case 'B':
        println("Bravo");  // Does not execute
        break;
      default:
        println("Zulu");   // Prints "Zulu"
        break;
    }

Description | Keyword for defining the default condition of a switch(). If none of the case labels match the switch() parameter, the statement(s) after the default syntax are executed. Switch structures don't require a default.

Syntax

    default: statements

Parameters

statements | one or more valid statements to be executed

Usage | Web & Application
Related | switch() break case

Updated on November 22, 2008 08:39:25pm PST